> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get fx vol time series



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/MarketData/GetFxVolTimeSeries
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/MarketData/GetFxVolTimeSeries:
    post:
      tags:
        - MarketData
      summary: Get fx vol time series
      operationId: GetFxVolTimeSeries
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetFxVolTimeSeriesRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetFxVolTimeSeriesRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetFxVolTimeSeriesRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetFxVolTimeSeriesRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetFxVolTimeSeriesResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetFxVolTimeSeriesRequest:
      example:
        end_date: '2000-01-23T04:56:07.000+00:00'
        fx_pairs:
          - fx_pairs
          - fx_pairs
        maturity: 6
        strike: 0.8008281904610115
        strike_type: absolute
        start_date: '2000-01-23T04:56:07.000+00:00'
      properties:
        market_data_environment_name:
          nullable: true
          type: string
        provider_id:
          nullable: true
          type: string
        fx_pairs:
          items:
            type: string
          nullable: true
          type: array
        start_date:
          format: date-time
          type: string
        end_date:
          format: date-time
          type: string
        strike:
          format: double
          type: number
        maturity:
          format: int32
          type: integer
        strike_type:
          enum:
            - absolute
            - logarithmic
            - normalized
            - logarithmic_spot
          type: string
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetFxVolTimeSeriesRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetFxVolTimeSeriesResponse:
      example:
        volatility_data: ''
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        volatility_data:
          nullable: true
          type: array
          items:
            type: object
            additionalProperties: true
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.MarketData.ApiGetFxVolTimeSeriesResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````